Unixutils-1.54.3: A crude interface between Haskell and Unix-like operating systems

Safe Haskell | None
Language | Haskell2010

System.Unix.Misc

Description

Wrappers around some handy unix shell commands. Please let me know if you think of better module names to hold these functions. -dsf

Synopsis

- md5sum :: FilePath -> IO String
- gzip :: FilePath -> IO ()

# Documentation

md5sum :: FilePath -> IO String Source #

Deprecated: Use Data.ByteString.Lazy.Char8.readFile path >>= return . show . Data.Digest.Pure.MD5.md5

Deprecated: Use `Data.ByteString.Lazy.Char8.readFile path >>= return . show . Data.Digest.Pure.MD5.md5`

gzip :: FilePath -> IO () Source #

Deprecated: Use Data.ByteString.Lazy.Char8.readFile path >>= Data.ByteString.Lazy.Char8.writeFile (path ++ ".gz")

Deprecated: Use `Data.ByteString.Lazy.Char8.readFile path >>= Data.ByteString.Lazy.Char8.writeFile (path ++ ".gz")`